Back to Redis

User

content/operate/rs/references/rest-api/objects/user.md

latest2.2 KB
Original Source
NameType/ValueDescription
uidintegerUser's unique ID
account_idintegerSM account ID
action_uidstringAction UID. If it exists, progress can be tracked by the <span class="break-all">GET /actions/{uid}</span> API request (read-only)
auth_method'regular'
'certificate'
'entraid'
'sso'User's authentication method
bdbs_email_alertscomplex objectUIDs of databases that user will receive alerts for
<span class="break-all">certificate_subject_line</span>stringThe certificate’s subject line as defined by RFC2253. Used for certificate-based authentication users only.
cluster_email_alertsbooleanActivate cluster email alerts for a user
emailstringUser's email (pattern matching only ASCII characters)
email_alertsboolean (default: true)Activate email alerts for a user
last_loginintegerUNIX timestamp of the user's last login time. This denotes the last time an authentication with the user's credentials was successful. (read-only)
namestringUser's name (pattern does not allow non-ASCII and special characters &,<,>,")
passwordstringUser's password. If password_hash_method is set to 1, the password should be hashed using SHA-256. The format before hashing is <span class="break-all">username:clustername:password</span>.
<span class="break-all">password_hash_method</span>'1'Used when password is passed pre-hashed to specify the hashing method
<span class="break-all">password_issue_date</span>stringThe date in which the password was set (read-only)
role'admin'
'cluster_member'
'cluster_viewer'
'db_member'
'db_viewer'
'user_manager'
'none'User's [role]({{< relref "/operate/rs/references/rest-api/permissions#roles" >}})
role_uidsarray of integersUIDs of user's roles for role-based access control
status'active'
'locked'
'password_expired'User sign-in status (read-only)
active: able to sign in
locked: unable to sign in
password_expired: unable to sign in because the password expired